summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky2020-10-10 04:31:03 +0200
committer Willy Sudiarto Raharjo2020-10-10 05:18:50 +0200
commit4cf1d0cf06d4874ba8839b4904110ef9fb7459b9 (patch)
tree61091dd06f3246d7789bde097e9b013d7ce252b5
parente39bebd042bbaa1a3808ddbf65e65e8c39086476 (diff)
downloadslackbuilds-4cf1d0cf06d4874ba8839b4904110ef9fb7459b9.tar.gz
libraries/libde265: Added (open h.265 codec implementation)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libde265/README10
-rw-r--r--libraries/libde265/libde265.SlackBuild100
-rw-r--r--libraries/libde265/libde265.info10
-rw-r--r--libraries/libde265/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/libraries/libde265/README b/libraries/libde265/README
new file mode 100644
index 0000000000..a52dbf5699
--- /dev/null
+++ b/libraries/libde265/README
@@ -0,0 +1,10 @@
+libde265 is an open source implementation of the h.265 video codec. It
+is written from scratch and has a plain C API to enable a simple
+integration into other software.
+
+By default, sherlock265 visual inspection program is not built.
+
+Building of sherlock265 can be enabled by setting the SHERLOCK265
+environment variable to "yes": SHERLOCK265=yes ./libde265.SlackBuild
+This requires ffmpeg or ffmpeg4. If qt5 is installed sherlock265 will be
+built with qt5 instead of qt4.
diff --git a/libraries/libde265/libde265.SlackBuild b/libraries/libde265/libde265.SlackBuild
new file mode 100644
index 0000000000..a1937175ed
--- /dev/null
+++ b/libraries/libde265/libde265.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for libde265
+
+# Copyright 2020, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libde265
+VERSION=${VERSION:-1.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+SHERLOCK265="${SHERLOCK265:-no}"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-sherlock265=$SHERLOCK265 \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libde265/libde265.info b/libraries/libde265/libde265.info
new file mode 100644
index 0000000000..e68cf75a20
--- /dev/null
+++ b/libraries/libde265/libde265.info
@@ -0,0 +1,10 @@
+PRGNAM="libde265"
+VERSION="1.0.7"
+HOMEPAGE="https://github.com/strukturag/libde265"
+DOWNLOAD="https://github.com/strukturag/libde265/releases/download/v1.0.7/libde265-1.0.7.tar.gz"
+MD5SUM="5e73acf5142667969456d7968305b8a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/libraries/libde265/slack-desc b/libraries/libde265/slack-desc
new file mode 100644
index 0000000000..348db4000f
--- /dev/null
+++ b/libraries/libde265/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libde265: libde265 (open h.265 codec implementation)
+libde265:
+libde265:
+libde265: libde265 is an open source implementation of the h.265 video codec.
+libde265: It is written from scratch and has a plain C API to enable a simple
+libde265: integration into other software.
+libde265:
+libde265:
+libde265: Homepage: https://github.com/strukturag/libde265
+libde265:
+libde265: